[asterisk-scf-commits] asterisk-scf/integration/gitall.git branch "master" created.

Commits to the Asterisk SCF project code repositories asterisk-scf-commits at lists.digium.com
Thu Aug 26 09:24:38 CDT 2010


branch "master" has been created
        at  395e6b127ee30597d2415eaa6d6e0c949a6b17e7 (commit)

- Log -----------------------------------------------------------------
commit 395e6b127ee30597d2415eaa6d6e0c949a6b17e7
Author: Ken Hunt <ken.hunt at digium.com>
Date:   Thu Aug 26 09:20:17 2010 -0500

    First draft of a bash script to clone all Asterisk SCF components.

diff --git a/gitall-asterisk-scf.sh b/gitall-asterisk-scf.sh
new file mode 100644
index 0000000..3ea7356
--- /dev/null
+++ b/gitall-asterisk-scf.sh
@@ -0,0 +1,58 @@
+#!/bin/bash
+
+#Usage:
+# 
+# getAsterskScf.sh
+#
+
+#if($# < 2); then
+#  echo "usage: bash getAsteriskScf.sh "
+#  exit 1
+#fi
+
+eval `ssh-agent`
+
+echo "HEY... SSH_AGENT_PID = ${SSH_AGENT_PID}"
+exec `ssh-add ${1}`
+
+gitdepot=git.asterisk.org
+cmake=asterisk-scf/release/cmake
+tree=asterisk-scf/integration/
+
+i=0
+repo[i++]=bridging
+repo[i++]=routing
+repo[i++]=servicediscovery
+repo[i++]=sip
+repo[i++]=media_rtp_pjmedia
+repo[i++]=slice
+
+imax=${i}
+
+for ((i=0; i < ${imax}; i++)) ; do
+  repoName="${tree}${repo[i]}"
+
+  repoUri="${gitdepot}:${repoName}"
+  repoGitDir="${repo[i]}/.git"
+
+  if [ -d "${repoGitDir}" ]; then
+     echo ">> Updating from repo ${repoUri}"
+  else
+     echo ">> Cloning from $repoUri to ${repo[i]}"
+     git clone "git@${repoUri}" ${repo[i]}
+  fi
+done
+
+#
+# Clone/Update the cmake scripts. 
+# 
+gitDir="cmake/.git"
+cmakeUri="${gitdepot}:${cmake}"
+echo "cmakeUri = ${cmakeUri}"
+if [ -d "${gitDir}" ]; then
+  echo ">> Updating from repo ${cmakeUri}"
+else
+  echo ">> Cloning from ${cmakeUri} to cmake"
+  git clone "git@${cmakeUri}" cmake
+fi
+

-----------------------------------------------------------------------


-- 
asterisk-scf/integration/gitall.git



More information about the asterisk-scf-commits mailing list